Storyden
Plugins

Plugin Get Configuration Schema

Returns the configuration schema for a plugin as defined in its manifest file. The schema should be used to render a configuration form for the plugin in the client so that administrators can configure the plugin.

GET/plugins/{plugin_instance_id}/configuration-schema

Returns the configuration schema for a plugin as defined in its manifest file. The schema should be used to render a configuration form for the plugin in the client so that administrators can configure the plugin.

Authorization

storyden-session<token>

In: cookie

Path Parameters

plugin_instance_id*string

Plugin ID.

Formatxid

Response Body

application/json

application/json

curl -X GET "https://example.com/plugins/string/configuration-schema"
{  "fields": [    {      "id": "string",      "label": "string",      "description": "string",      "type": "string",      "default": "string"    }  ]}